# Delete Channel

> Channels API · Channels

```http
DELETE /api/channels/{channel_id}/
```

Delete a channel. Services are stopped before deletion.

Service cleanup errors are logged but don't prevent channel removal.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `channel_id` | string | Yes | — |

## Example request

```bash
curl -X DELETE "/api/channels/{channel_id}/" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 204 — Successful Response

No response body.

### 422 — Validation Error

- `detail` · list of objects · Optional
  - Array items (object):
    - `loc` · list of objects · **Required**
      - Array items (object):
        - One of the following variants:
          - **string** (string)
          - **integer** (integer)
    - `msg` · string · **Required**
    - `type` · string · **Required**
    - `input` · any · Optional
    - `ctx` · object · Optional

Example:

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
```

### 503 — Service unavailable

No response body.

---

Source spec: `channels-api` · operationId: `delete_channel_channels__channel_id___delete`
